package com.prolog.cs.biz.outbound.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description  
 * @Date 2021-06-29 
 */
@ApiModel
public class OuterCheckHeadDTO implements Serializable {

	private static final long serialVersionUID = -6300838749683533725L;

	@ApiModelProperty(value = "合单号")
	private String billGroupId;

	@ApiModelProperty(value = "客户名称")
	private String shipperName;

	@ApiModelProperty(value = "客户编码")
	private String shipperCode;

	@ApiModelProperty(value = "货主名称")
	private String consignorName;

	@ApiModelProperty(value = "承运商名称")
	private String carrierName;

	@ApiModelProperty(value = "送货方式")
	private String arrivalMode;



	@ApiModelProperty(value = "暂存区（大）")
	private String stageCodeMax;

	@ApiModelProperty(value = "暂存区（小）")
	private String stageCodeMin;

	@ApiModelProperty(value = "送货方式（急送，正常）")
	private String isEmergency;

	@ApiModelProperty(value = "复核员")
	private String checkerName;


	@ApiModelProperty(value = "业务员名称")
	private String salespersonName;

	@ApiModelProperty(value = "业务员部门")
	private String saleBranchname;

	@ApiModelProperty(value = "开票员")
	private String createby;

	@ApiModelProperty(value = "账期类型")
	private String paymentType;


	@ApiModelProperty(value = "客户地址")
	private String customerAddress;

	@ApiModelProperty(value = "出库类型")
	private String billType;

	@ApiModelProperty(value = "线路")
	private String lineName;

	@ApiModelProperty(value = "单据编号")
	private String refBillno;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "收货人")
	private String custPerson;

	@ApiModelProperty(value = "收货人电话")
	private String custPersonTel;

	@ApiModelProperty(value = "运单号")
	private String shipBillNo;

	@ApiModelProperty(value = "日期")
	private Date createdate;

	@ApiModelProperty(value = "仓库名称")
	private String branchname;

	@ApiModelProperty(value = "仓库名称")
	private String branchcode;

	@ApiModelProperty(value = "经营许可证")
	private String operationlicenseno;

	public String getLineName() {
		return lineName;
	}

	public void setLineName(String lineName) {
		this.lineName = lineName;
	}

	public String getBillType() {
		return billType;
	}

	public void setBillType(String billType) {
		this.billType = billType;
	}

	public String getCustomerAddress() {
		return customerAddress;
	}

	public void setCustomerAddress(String customerAddress) {
		this.customerAddress = customerAddress;
	}

	public String getPaymentType() {
		return paymentType;
	}

	public void setPaymentType(String paymentType) {
		this.paymentType = paymentType;
	}

	public String getSalespersonName() {
		return salespersonName;
	}

	public void setSalespersonName(String salespersonName) {
		this.salespersonName = salespersonName;
	}

	public String getSaleBranchname() {
		return saleBranchname;
	}

	public void setSaleBranchname(String saleBranchname) {
		this.saleBranchname = saleBranchname;
	}

	public String getCreateby() {
		return createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public String getCheckerName() {
		return checkerName;
	}

	public void setCheckerName(String checkerName) {
		this.checkerName = checkerName;
	}

	public String getStageCodeMax() {
		return stageCodeMax;
	}

	public void setStageCodeMax(String stageCodeMax) {
		this.stageCodeMax = stageCodeMax;
	}

	public String getStageCodeMin() {
		return stageCodeMin;
	}

	public void setStageCodeMin(String stageCodeMin) {
		this.stageCodeMin = stageCodeMin;
	}

	public String getIsEmergency() {
		return isEmergency;
	}

	public void setIsEmergency(String isEmergency) {
		this.isEmergency = isEmergency;
	}

	public String getCarrierName() {
		return carrierName;
	}

	public void setCarrierName(String carrierName) {
		this.carrierName = carrierName;
	}

	public String getArrivalMode() {
		return arrivalMode;
	}

	public void setArrivalMode(String arrivalMode) {
		this.arrivalMode = arrivalMode;
	}

	public String getBillGroupId() {
		return billGroupId;
	}

	public void setBillGroupId(String billGroupId) {
		this.billGroupId = billGroupId;
	}

	public String getShipperName() {
		return shipperName;
	}

	public void setShipperName(String shipperName) {
		this.shipperName = shipperName;
	}

	public String getConsignorName() {
		return consignorName;
	}

	public void setConsignorName(String consignorName) {
		this.consignorName = consignorName;
	}

	public String getRefBillno() {
		return refBillno;
	}

	public void setRefBillno(String refBillno) {
		this.refBillno = refBillno;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getCustPerson() {
		return custPerson;
	}

	public void setCustPerson(String custPerson) {
		this.custPerson = custPerson;
	}

	public String getCustPersonTel() {
		return custPersonTel;
	}

	public void setCustPersonTel(String custPersonTel) {
		this.custPersonTel = custPersonTel;
	}

	public String getShipBillNo() {
		return shipBillNo;
	}

	public void setShipBillNo(String shipBillNo) {
		this.shipBillNo = shipBillNo;
	}

	public Date getCreatedate() {
		return createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getBranchname() {
		return branchname;
	}

	public void setBranchname(String branchname) {
		this.branchname = branchname;
	}

	public String getOperationlicenseno() {
		return operationlicenseno;
	}

	public void setOperationlicenseno(String operationlicenseno) {
		this.operationlicenseno = operationlicenseno;
	}

	public String getShipperCode() {
		return shipperCode;
	}

	public void setShipperCode(String shipperCode) {
		this.shipperCode = shipperCode;
	}

	public String getBranchcode() {
		return branchcode;
	}

	public void setBranchcode(String branchcode) {
		this.branchcode = branchcode;
	}
}
